Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 267)
@@ -88,6 +88,9 @@
                 // 更新済みにするために日付の更新
                 if (!(ProcessFlg = UpDateTargetDate(DateTime.Now))) return;
 
+                // 管理マスタの期・年更新
+                if (!UpDateSystemMaster()) return;
+
                 // ----- データチェック
                 // 資材返却期限のチェックを行う
                 if (!(ProcessFlg = MaterialLimitCheck(m_lastsessionDate))) return;
@@ -259,10 +262,12 @@
         /// 資材返却ステータス取得処理
         /// </summary>
         /// <returns></returns>
-        public void MaterualStatusCheck(MaterialRecordInfo checkRec, DateTime CriteriaDate, ref TermMaster TermRec)
+        public void MaterualStatusCheck(MaterialRecordInfo checkRec, ref TermMaster TermRec)
         {
             try
             {
+                // 対象日セット
+                DateTime CriteriaDate = DateTime.Now;
                 // 対象日付を設定
                 DateTime Target = checkRec.RepayPlanDate;
 
@@ -271,7 +276,7 @@
                 // 当日のチェック 今日を基準に対象日と比較する
                 if (Target.Date == CriteriaDate.Date)
                 {
-                    TermMasterData.CheckSchdule = (int)CommonDefine.TermDateCheckTiming.CheckSchdule1;
+                    TermMasterData.CheckSchdule = (int)TermMaster.TermDateCheckTimingDef.CheckSchdule1;
                     TermMasterData.TermDays     = CommonDefine.MaterualStatusCheckList[0].Value;
                     TermMasterData.SendTitle    = CommonDefine.MaterualLimitItem[0, 0];
                     TermMasterData.SendMessage  = CommonDefine.MaterualLimitItem[0, 1];
@@ -279,9 +284,9 @@
                     TermMasterData.ForeColor    = CommonDefine.MaterualLimitItem[0, 3];
                 }
                 // 後日以降継続のチェック 今日を基準に経過日（1日）が過ぎているか比較する
-                if (Target.AddDays(1).Date <= CriteriaDate.Date)
+                else if (Target.AddDays(1).Date <= CriteriaDate.Date)
                 {
-                    TermMasterData.CheckSchdule = (int)CommonDefine.TermDateCheckTiming.CheckSchdule3;
+                    TermMasterData.CheckSchdule = (int)TermMaster.TermDateCheckTimingDef.CheckSchdule3;
                     TermMasterData.TermDays     = CommonDefine.MaterualStatusCheckList[1].Value;
                     TermMasterData.SendTitle    = CommonDefine.MaterualLimitItem[1, 0];
                     TermMasterData.SendMessage  = CommonDefine.MaterualLimitItem[1, 1];
@@ -298,9 +303,9 @@
         }
         #endregion
 
-        #region 秘書からのメッセージ作成（資材管理メッセージ）
+        #region 秘書からのメッセージ作成（資材管理）
         /// <summary>
-        /// 秘書からのメッセージ作成（資材管理メッセージ）
+        /// 秘書からのメッセージ作成（資材管理）
         /// </summary>
         private bool MakeSecretaryMassageData(IOMessageBoardData mbdDB,
                                         IOMessageBoardTerget mbtDB,
@@ -315,7 +320,7 @@
                 strSQL += string.Format(" LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = {0}", wrkRec.PersonCode);
                 strSQL += " , CONSTRUCTIONBASEINFODETAIL A";
                 strSQL += string.Format(" WHERE P.CONSTRUCTIONCODE = {0}", wrkRec.ConstructionCode);
-                strSQL += string.Format(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += string.Format(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 ArrayList arList = new ArrayList();
                 if (!cbiDB.ExecuteReader(strSQL, ref arList)) return false;
 
@@ -395,35 +400,7 @@
             IOMessageBoardData mbdDB = new IOMessageBoardData();
             IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
 
-            string strSQL = "SELECT";
-            strSQL += " t1.MaterialItemCode";
-            strSQL += ", t1.ProcessDate";
-            strSQL += ", t1.SeqNo";
-            strSQL += ", t1.RecKind";
-            strSQL += ", t1.ConstructionCode";
-            strSQL += ", t1.PersonCode";
-            strSQL += ", t1.MaterialCount";
-            strSQL += ", MAX(t1.REPAYPLANDATE) AS RepayPlanDate";
-            strSQL += ", t1.CommentText";
-            strSQL += ", t1.EntryDate";
-            strSQL += ", t1.UpdateDate";
-            strSQL += " FROM";
-            strSQL += " MATERIALRECORDINFO AS t1";
-            strSQL += " INNER JOIN CONSTRUCTIONMATERIALINFO AS t2";
-            strSQL += " ON t1.CONSTRUCTIONCODE = t2.CONSTRUCTIONCODE";
-            strSQL += " AND t1.MATERIALITEMCODE = t2.MATERIALITEMCODE";
-            strSQL += " AND t2.COMPLETEFLG = 0";
-            strSQL += " WHERE";
-            strSQL += " t1.CONSTRUCTIONCODE > 0";
-            strSQL += " AND t1.CONSTRUCTIONCODE IS NOT NULL";
-            strSQL += " AND t1.RECKIND = 0";
-            strSQL += " AND t1.REPAYPLANDATE <= DATE_FORMAT(NOW(), '%Y/%m/%d')";
-            strSQL += " GROUP BY";
-            strSQL += " t1.CONSTRUCTIONCODE";
-            strSQL += ", t1.PERSONCODE";
-            strSQL += " ORDER BY";
-            strSQL += " t1.CONSTRUCTIONCODE";
-            strSQL += " , t1.REPAYPLANDATE";
+            StringBuilder strSQL = new StringBuilder();
 
             try
             {
@@ -434,20 +411,23 @@
 
                 bool procflg = true;
 
+                CreateGetMaterialDataSQL(ref strSQL);
+
                 // 資材履歴情報の返却未完了の貸出データを取得する
                 IOMaterialRecordInfo mrDB = new IOMaterialRecordInfo();
                 ArrayList mrData = new ArrayList();
                 List<MaterialRecordInfo> data = new List<MaterialRecordInfo>();
 
-                if (mrDB.ExecuteReader(strSQL, ref mrData))
+                if (mrDB.ExecuteReader(strSQL.ToString(), ref mrData))
                 {
                     foreach (object[] objwrk in mrData)
                     {
                         MaterialRecordInfo wrkRec = new MaterialRecordInfo();
                         mrDB.Reader2Struct(objwrk, ref wrkRec);
+
                         // チェック
                         TermMaster term = new TermMaster();
-                        MaterualStatusCheck(wrkRec, StartDate, ref term);
+                        MaterualStatusCheck(wrkRec, ref term);
 
                         // メッセージ作成 掲示板にメッセージを載せる処理
                         if (!MakeSecretaryMassageData(mbdDB, mbtDB, cbiDDB, wrkRec, term, StartDate))
@@ -491,6 +471,52 @@
         }
         #endregion
 
+        #region 資材返却チェックデータ取得SQL作成
+        /// <summary>
+        /// 資材返却チェックデータ取得SQL作成
+        /// </summary>
+        /// <param name="strSQL"></param>
+        private void CreateGetMaterialDataSQL(ref StringBuilder strSQL)
+        {
+            try
+            {
+                strSQL.Append("SELECT");
+                strSQL.Append(" t1.MaterialItemCode");
+                strSQL.Append(", t1.ProcessDate");
+                strSQL.Append(", t1.SeqNo");
+                strSQL.Append(", t1.RecKind");
+                strSQL.Append(", t1.ConstructionCode");
+                strSQL.Append(", t1.PersonCode");
+                strSQL.Append(", t1.MaterialCount");
+                strSQL.Append(", MAX(t1.REPAYPLANDATE) AS RepayPlanDate");
+                strSQL.Append(", t1.CommentText");
+                strSQL.Append(", t1.EntryDate");
+                strSQL.Append(", t1.UpdateDate");
+                strSQL.Append(" FROM");
+                strSQL.Append(" MATERIALRECORDINFO AS t1");
+                strSQL.Append(" INNER JOIN CONSTRUCTIONMATERIALINFO AS t2");
+                strSQL.Append(" ON t1.CONSTRUCTIONCODE = t2.CONSTRUCTIONCODE");
+                strSQL.Append(" AND t1.MATERIALITEMCODE = t2.MATERIALITEMCODE");
+                strSQL.Append(" AND t2.COMPLETEFLG = 0");
+                strSQL.Append(" WHERE");
+                strSQL.Append(" t1.CONSTRUCTIONCODE > 0");
+                strSQL.Append(" AND t1.CONSTRUCTIONCODE IS NOT NULL");
+                strSQL.Append(" AND t1.RECKIND = 0");
+                strSQL.Append(" AND t1.REPAYPLANDATE <= DATE_FORMAT(NOW(), '%Y/%m/%d')");
+                strSQL.Append(" GROUP BY");
+                strSQL.Append(" t1.CONSTRUCTIONCODE");
+                strSQL.Append(", t1.PERSONCODE");
+                strSQL.Append(" ORDER BY");
+                strSQL.Append(" t1.CONSTRUCTIONCODE");
+                strSQL.Append(" , t1.REPAYPLANDATE");
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+            }
+        }
+        #endregion
+
         #region 工事情報チェック処理
         /// <summary>
         /// 日付の期限チェックを行う
@@ -504,10 +530,11 @@
             try
             {
                 // 工事基本情報を期限テーブルに設定している状態分取得する
-                string strSQL = " WHERE CONSTRUCTIONSTATUSFLG IN (SELECT DISTINCT A1.CONSTRUCTIONSTATUSFLG FROM TERMMASTER A1)";
-                strSQL = " ORDER BY CONSTRUCTIONSTATUSFLG ASC, CONSTRUCTIONCODE ASC";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append(" WHERE CONSTRUCTIONSTATUSFLG IN (SELECT DISTINCT A1.CONSTRUCTIONSTATUSFLG FROM TERMMASTER A1)");
+                strSQL.Append(" ORDER BY CONSTRUCTIONSTATUSFLG ASC, CONSTRUCTIONCODE ASC");
                 List<ConstructionBaseInfo> cbiList = new List<ConstructionBaseInfo>();
-                if (!cbiDB.SelectAction(strSQL, ref cbiList)) return true;
+                if (!cbiDB.SelectAction(strSQL.ToString(), ref cbiList)) return true;
 
                 // 経過日数を取得する
                 TimeSpan ts = DateTime.Now - StartDate;
@@ -533,14 +560,14 @@
                     {
                         List<TermMaster> term = new List<TermMaster>();
                         // 増減工事の子は処理しない
-                        if (wrkRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying) continue;
+                        if (wrkRec.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Tying) continue;
                         // 結合工事の親は処理しない
-                        if (wrkRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent) continue;
+                        if (wrkRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinParent) continue;
                         // 結合工事の子は処理しない
-                        if (wrkRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinChildren) continue;
+                        if (wrkRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren) continue;
                         // チェックOKならば次のデータ
                         if (ConstructionStatusCheck(wrkRec, CriteriaDate, ref term)) continue;
-                     
+
                         // 掲示板にメッセージを載せるためにループ処理
                         foreach (TermMaster CurTerm in term)
                         {
@@ -626,51 +653,51 @@
 
                     switch (wrkCheck.FieldNo)
                     {
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.RequestedDate:               // 依頼受け日
+                        case (int)ConstructionBaseInfo.DateNoDef.RequestedDate:               // 依頼受け日
                             Target = checkRec.RequestedDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.EstimatesSubmitDeadline:     // 見積提出期限
+                        case (int)ConstructionBaseInfo.DateNoDef.EstimatesSubmitDeadline:     // 見積提出期限
                             Target = checkRec.EstimatesSubmitDeadline;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.EstimatesSubmittedDate:      // 見積提出日
+                        case (int)ConstructionBaseInfo.DateNoDef.EstimatesSubmittedDate:      // 見積提出日
                             Target = checkRec.EstimatesSubmittedDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.OrderDate:                   // 受注日
+                        case (int)ConstructionBaseInfo.DateNoDef.OrderDate:                   // 受注日
                             Target = checkRec.OrderDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.OrderStartingDate:           // 開始予定日
+                        case (int)ConstructionBaseInfo.DateNoDef.OrderStartingDate:           // 開始予定日
                             Target = checkRec.OrderStartingDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.OrderCompletionDate:         // 完了予定日
+                        case (int)ConstructionBaseInfo.DateNoDef.OrderCompletionDate:         // 完了予定日
                             Target = checkRec.OrderCompletionDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.ConstrPreparationDate:       // 施工開始準備日
+                        case (int)ConstructionBaseInfo.DateNoDef.ConstrPreparationDate:       // 施工開始準備日
                             Target = checkRec.PreparationStartDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.ConstructionStartingDate:    // 施工開始日
+                        case (int)ConstructionBaseInfo.DateNoDef.ConstructionStartingDate:    // 施工開始日
                             Target = checkRec.ConstructionStartingDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.ConstructionCompletionDate:  // 施工完了日
+                        case (int)ConstructionBaseInfo.DateNoDef.ConstructionCompletionDate:  // 施工完了日
                             Target = checkRec.ConstructionCompletionDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.TransferConstructionDate:    // 工事移管日
+                        case (int)ConstructionBaseInfo.DateNoDef.TransferConstructionDate:    // 工事移管日
                             Target = checkRec.TransferConstructionDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.EstimatesExpirationDate:     // 見積有効期限
+                        case (int)ConstructionBaseInfo.DateNoDef.EstimatesExpirationDate:     // 見積有効期限
                             Target = checkRec.EstimatesExpirationDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.ConstructionPeriodStart:     // 契約工期開始
+                        case (int)ConstructionBaseInfo.DateNoDef.ConstructionPeriodStart:     // 契約工期開始
                             Target = checkRec.ConstructionPeriodStart;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.ConstructionPeriodEnd:       // 契約工期完了
+                        case (int)ConstructionBaseInfo.DateNoDef.ConstructionPeriodEnd:       // 契約工期完了
                             Target = checkRec.ConstructionPeriodEnd;
                             // 延長工期があれば延長工期を入れる
                             if (checkRec.ConstructionPeriodEnd2 != DateTime.MinValue) Target = checkRec.ConstructionPeriodEnd2;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.BillingStartDate:            // 請求準備開始日
+                        case (int)ConstructionBaseInfo.DateNoDef.BillingStartDate:            // 請求準備開始日
                             Target = checkRec.BillingStartDate;
                             break;
-                        case (int)CommonDefine.ConstructionBaseInfo_DateNo.BillingDate:                 // 請求日
+                        case (int)ConstructionBaseInfo.DateNoDef.BillingDate:                 // 請求日
                             Target = checkRec.BillingDate;
                             // 2016/10/06 台帳入力完了日があればチェックをしない 
                             if (checkRec.LedgerComplateDate != DateTime.MinValue) Target = DateTime.MinValue.Date;
@@ -685,7 +712,7 @@
 
                     switch (wrkCheck.CheckSchdule)
                     {
-                        case (int)CommonDefine.TermDateCheckTiming.CheckSchdule0:   // 前日以前のチェック
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule0:   // 前日以前のチェック
                             // 今日を基準に経過日を加算して対象日と比較する
                             //if (Target.Date == DateTime.Now.AddDays(wrkCheck.TermDays).Date)
                             if (Target.Date == CriteriaDate.AddDays(wrkCheck.TermDays).Date)
@@ -693,7 +720,7 @@
                                 ErrFlg = true;
                             }
                             break;
-                        case (int)CommonDefine.TermDateCheckTiming.CheckSchdule1:   // 当日のチェック
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule1:   // 当日のチェック
                             // 今日を基準に対象日と比較する
                             //if (Target.Date == DateTime.Now.Date)
                             if (Target.Date == CriteriaDate.Date)
@@ -701,7 +728,7 @@
                                 ErrFlg = true;
                             }
                             break;
-                        case (int)CommonDefine.TermDateCheckTiming.CheckSchdule2:   // 後日以降のチェック
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule2:   // 後日以降のチェック
                             // 今日を基準に対象日と比較する
                             //if (Target.AddDays(wrkCheck.TermDays).Date == DateTime.Now.Date)
                             if (Target.AddDays(wrkCheck.TermDays).Date == CriteriaDate.Date)
@@ -709,7 +736,7 @@
                                 ErrFlg = true;
                             }
                             break;
-                        case (int)CommonDefine.TermDateCheckTiming.CheckSchdule3:   // 後日以降継続のチェック
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule3:   // 後日以降継続のチェック
                             // 今日を基準に経過日が過ぎているとエラー
                             //if (Target.AddDays(wrkCheck.TermDays).Date <= DateTime.Now.Date)
                             if (Target.AddDays(wrkCheck.TermDays).Date <= CriteriaDate.Date)
@@ -747,15 +774,16 @@
             try
             {
                 // 工事名称・営業担当者・工事担当者取得
-                string strSQL = "SELECT A.DETAILSTRING, B.PERSONCODE SCODE, B.PERSONNAME SNAME, C.PERSONCODE CCODE, C.PERSONNAME CNAME";
-                strSQL += " FROM CONSTRUCTIONBASEINFO P";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = P.SALESPERSONCODE";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = P.CONSTRUCTIONPERSONCODE";
-                strSQL += " , CONSTRUCTIONBASEINFODETAIL A";
-                strSQL += string.Format(" WHERE P.CONSTRUCTIONCODE = {0}",wrkRec.ConstructionCode);
-                strSQL += string.Format(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT A.DETAILSTRING, B.PERSONCODE SCODE, B.PERSONNAME SNAME, C.PERSONCODE CCODE, C.PERSONNAME CNAME");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO P");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = P.SALESPERSONCODE");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = P.CONSTRUCTIONPERSONCODE");
+                strSQL.Append(", CONSTRUCTIONBASEINFODETAIL A");
+                strSQL.AppendFormat(" WHERE P.CONSTRUCTIONCODE = {0}",wrkRec.ConstructionCode);
+                strSQL.AppendFormat(" AND A.CONSTRUCTIONCODE = P.CONSTRUCTIONCODE AND A.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 ArrayList arList = new ArrayList();
-                if (!cbiDB.ExecuteReader(strSQL, ref arList)) return false;
+                if (!cbiDB.ExecuteReader(strSQL.ToString(), ref arList)) return false;
                 
                 string DetailString = string.Empty;
                 int SalesPersonCode = 0;
@@ -778,9 +806,9 @@
 
                 // 掲示板メッセージ
                 WriteData.FromCode = CommonDefine.s_MsgBoardSystemCode;	                                    // 書込み者コード
-                WriteData.FromName = string.Format(CommonDefine.s_MsgBoardSystemNameFormat, "秘書");          // 書込み者名
+                WriteData.FromName = string.Format(CommonDefine.s_MsgBoardSystemNameFormat, "秘書");        // 書込み者名
 
-                WriteData.MessageTitle = CheckRec.SendTitle;                                              // 伝言タイトル
+                WriteData.MessageTitle = CheckRec.SendTitle;                                                // 伝言タイトル
 
                 // リンク情報
                 WriteData.LinkType = (int)CommonDefine.LinkType.ConstructionInfo;
@@ -843,18 +871,21 @@
                 int iCode3 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("見積提出")).Key;
 
                 // 対象データが存在するかを確認する
-                string strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING FROM CONSTRUCTIONBASEINFO A";
-                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strSQL += string.Format(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.OrdersDecisionComment);
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING");
+                strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
+                strSQL.Append(" LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE");
+                strSQL.AppendFormat(" AND B.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.OrdersDecisionComment);
 
-                string strWHERE = " WHERE DATE(A.ESTIMATESSUBMITTEDDATE) != STR_TO_DATE('0001/01/01', '%Y/%m/%d')";
-                strWHERE += string.Format(" AND DATE(DATE_ADD(ESTIMATESSUBMITTEDDATE, INTERVAL '{0}' DAY))", s_NonOrderDay);
-                strWHERE += string.Format(" < STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.Now.ToShortDateString());
-                strWHERE += string.Format(" AND A.CONSTRUCTIONSTATUSFLG IN({0}, {1})", iCode2, iCode3);
-                strWHERE += string.Format(" AND A.ESTIMATETYPE IN ({0}, {1})", (int)CommonDefine.BaseInfoEstimateType.Normal, (int)CommonDefine.BaseInfoEstimateType.GetBudget);
-                strSQL += strWHERE;
+                StringBuilder strWHERE = new StringBuilder();
+                strWHERE.AppendFormat(" WHERE DATE(A.ESTIMATESSUBMITTEDDATE) != STR_TO_DATE('{0}', '%Y/%m/%d')", DateTime.MinValue);
+                strWHERE.AppendFormat(" AND DATE(DATE_ADD(A.ESTIMATESSUBMITTEDDATE, INTERVAL '{0}' DAY))", s_NonOrderDay);
+                strWHERE.AppendFormat(" < STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.Now.ToShortDateString());
+                strWHERE.AppendFormat(" AND A.CONSTRUCTIONSTATUSFLG IN({0}, {1})", iCode2, iCode3);
+                strWHERE.AppendFormat(" AND A.ESTIMATETYPE IN ({0}, {1})", (int)ConstructionBaseInfo.EstimateTypeDef.Normal, (int)ConstructionBaseInfo.EstimateTypeDef.GetBudget);
+                strSQL.Append(strWHERE.ToString());
                 ArrayList arList = new ArrayList();
-                if (!BaseDB.ExecuteReader(strSQL, ref arList))
+                if (!BaseDB.ExecuteReader(strSQL.ToString(), ref arList))
                 {
                     logger.ErrorFormat("工事基本情報読込エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
                     return false;
@@ -867,10 +898,11 @@
                 DetailDB.connect(); DetailDB.beginTran();
 
                 // 工事基本情報データ
-                strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO A SET A.CONSTRUCTIONSTATUSFLG = {0},", iCode1);
-                strSQL += string.Format(" A.NONORDERDATE = STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.Today.ToShortDateString());
-                strSQL += strWHERE;
-                if (!BaseDB.ExecuteNonQuery(strSQL, false))
+                strSQL.Clear();
+                strSQL.AppendFormat("UPDATE CONSTRUCTIONBASEINFO A SET A.CONSTRUCTIONSTATUSFLG = {0},", iCode1);
+                strSQL.AppendFormat(" A.NONORDERDATE = STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.Today.ToShortDateString());
+                strSQL.Append(strWHERE.ToString());
+                if (!BaseDB.ExecuteNonQuery(strSQL.ToString(), false))
                 {
                     BaseDB.rollback();
                     logger.ErrorFormat("工事基本情報更新エラー　非受注案件移行処理失敗：{0}：{1}", CommonMotions.GetMethodName(), strSQL);
@@ -893,7 +925,7 @@
                                                     (int)IOConstructionBaseInfoDetail.TableColumn.DETAILSTRING,
                                                     strOrgMsg,
                                                     false,
-                                                    (int)ConstructionBaseInfoDetail.DetailDataNo.OrdersDecisionComment))
+                                                    (int)ConstructionBaseInfoDetail.DataNoDef.OrdersDecisionComment))
                         {
                             BaseDB.rollback();
                             DetailDB.rollback();
@@ -941,7 +973,7 @@
             {
                 ConstructionBaseInfoDetail work = new ConstructionBaseInfoDetail();
                 work.ConstructionCode = ConstrCode;
-                work.DetailNo = (int)ConstructionBaseInfoDetail.DetailDataNo.OrdersDecisionComment;
+                work.DetailNo = (int)ConstructionBaseInfoDetail.DataNoDef.OrdersDecisionComment;
                 work.DetailString = strMsg;
 
                 if (!DetailDB.InsertAction(work, false)) return false;
@@ -967,23 +999,23 @@
             {
                 int iCode1 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
                 int iCode2 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key;
+                int iCode3 = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("一般補修工事")).Key;
 
                 // 入力完了以外を対象にする
-                string strSQL = string.Format(" A WHERE A.ComplateFlg <> {0}", (int)CommonDefine.ComplateTitleNo.Complated);
-                strSQL += " AND A.CONSTRUCTIONCODE IN (SELECT A1.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A1";
-                strSQL += string.Format(" WHERE A1.CONSTRUCTIONSTATUSFLG != {0}", iCode1);
-                strSQL += string.Format(" AND A1.CONSTRUCTIONSTATUSFLG < {0})", iCode2);
-                strSQL += " AND DATE(A.CONSTRUCTIONSTART) <= DATE(NOW())";
-                strSQL += " ORDER BY A.CONSTRUCTIONSTART ASC";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.AppendFormat(" A WHERE A.ComplateFlg <> {0}", (int)ConstructionLedger.CompFlagDef.Complated);
+                strSQL.Append(" AND A.CONSTRUCTIONCODE IN (SELECT A1.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A1");
+                strSQL.AppendFormat(" WHERE A1.CONSTRUCTIONSTATUSFLG <> {0}", iCode1);
+                strSQL.AppendFormat(" AND A1.CONSTRUCTIONSTATUSFLG <> {0}", iCode3);
+                strSQL.AppendFormat(" AND A1.CONSTRUCTIONSTATUSFLG < {0})", iCode2);
+                strSQL.Append(" AND DATE(A.CONSTRUCTIONSTART) <= DATE(NOW())");
+                strSQL.Append(" ORDER BY A.CONSTRUCTIONSTART ASC");
                 List<ConstructionLedger> LedgerList = new List<ConstructionLedger>();
                 // エラーもしくはデータが無い場合は処理しない
-                if (!LedgerDB.SelectAction(strSQL, ref LedgerList) || LedgerList.Count == 0) return true;
+                if (!LedgerDB.SelectAction(strSQL.ToString(), ref LedgerList) || LedgerList.Count == 0) return true;
 
-                foreach (ConstructionLedger CurRec in LedgerList)
-                {
-                    // 給与を加算する
-                    ClsChangeLedgerData.CalculatePayment(CurRec, DateTime.Now, lastDate);
-                }
+                // 給与を加算する
+                //ClsChangeLedgerData.CalculatePayment(LedgerList);
 
                 return true;
             }
@@ -1010,16 +1042,17 @@
             try
             {
                 // 適用する給与と金額が違うデータを検索する
-                string strSQL = "SELECT A.PERSONCODE, A.MONTHLYSALARY, A.YEARSALARY, A.STARTDATE, C.MONTHLYSALARY, C.YEARSALARY";
-                strSQL += " FROM PERSONSALARYMASTER A,";
-                strSQL += " (SELECT PERSONCODE, MAX(STARTDATE) sDate FROM PERSONSALARYMASTER";
-                strSQL += string.Format(" WHERE DATE(STARTDATE) <= STR_TO_DATE('{0}', '%Y/%m/%d') GROUP BY PERSONCODE) B,", DateTime.Today.ToShortDateString());
-                strSQL += " PERSONINCHARGEMASTER C";
-                strSQL += "  WHERE A.PERSONCODE = B.PERSONCODE AND A.STARTDATE = B.sDate";
-                strSQL += " AND C.PERSONCODE = A.PERSONCODE";
-                strSQL += " AND (A.MONTHLYSALARY != C.MONTHLYSALARY OR A.YEARSALARY <> C.YEARSALARY)";
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT A.PERSONCODE, A.MONTHLYSALARY, A.YEARSALARY, A.STARTDATE, C.MONTHLYSALARY, C.YEARSALARY");
+                strSQL.Append(" FROM PERSONSALARYMASTER A,");
+                strSQL.Append(" (SELECT B1.PERSONCODE, MAX(B1.STARTDATE) sDate FROM PERSONSALARYMASTER B1");
+                strSQL.AppendFormat(" WHERE DATE(B1.STARTDATE) <= STR_TO_DATE('{0}', '%Y/%m/%d') GROUP BY PERSONCODE) B,", DateTime.Today.ToShortDateString());
+                strSQL.Append(" PERSONINCHARGEMASTER C");
+                strSQL.Append("  WHERE A.PERSONCODE = B.PERSONCODE AND A.STARTDATE = B.sDate");
+                strSQL.Append(" AND C.PERSONCODE = A.PERSONCODE");
+                strSQL.Append(" AND (A.MONTHLYSALARY != C.MONTHLYSALARY OR A.YEARSALARY <> C.YEARSALARY)");
                 ArrayList arList = new ArrayList();
-                if (!PersonDB.ExecuteReader(strSQL, ref arList)) return false;
+                if (!PersonDB.ExecuteReader(strSQL.ToString(), ref arList)) return false;
 
                 // 更新処理
                 PersonDB.connect(); PersonDB.beginTran();
